summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-apps/fwts/fwts-0.25.07.ebuild')
-rw-r--r--sys-apps/fwts/fwts-0.25.07.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/sys-apps/fwts/fwts-0.25.07.ebuild b/sys-apps/fwts/fwts-0.25.07.ebuild
new file mode 100644
index 000000000..d8dd8f2e9
--- /dev/null
+++ b/sys-apps/fwts/fwts-0.25.07.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+inherit autotools
+DESCRIPTION="Firmware Test Suite"
+HOMEPAGE="https://wiki.ubuntu.com/Kernel/Reference/fwts"
+SRC_URI="http://launchpad.net/ubuntu/+archive/primary/+files/${PN}_${PV}.orig.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="dev-libs/json-c
+ dev-libs/libpcre
+ sys-apps/pciutils
+ sys-power/iasl
+ sys-power/pmtools
+ sys-apps/dmidecode"
+DEPEND="${RDEPEND}
+ sys-devel/libtool"
+
+S=${WORKDIR}
+
+src_prepare(){
+ sed -i -e 's/-Wall -Werror/-Wall/' configure.ac {,src/,src/lib/src/}Makefile.am || die
+ sed -i -e 's:/usr/bin/lspci:/usr/sbin/lspci:' src/lib/include/fwts_binpaths.h || die
+ # No Makefile included - upstream wants autoreconf
+ eautoreconf
+}